/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.site.navigation.menu.item.display.page.internal.configuration;

import com.liferay.portal.configuration.metatype.bnd.util.ConfigurableUtil;

import java.util.Map;

import org.osgi.service.component.annotations.Activate;
import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.annotations.Modified;

/**
 * @author Lourdes Fernández Besada
 */
@Component(
	configurationPid = "com.liferay.site.navigation.menu.item.display.page.internal.configuration.FFDisplayPageSiteNavigationMenuItemConfiguration",
	immediate = true, service = {}
)
public class FFDisplayPageSiteNavigationMenuItemConfigurationUtil {

	public static boolean multipleSelectionEnabled() {
		return _ffDisplayPageSiteNavigationMenuItemConfiguration.
			multipleSelectionEnabled();
	}

	@Activate
	@Modified
	protected void activate(Map<String, Object> properties) {
		_ffDisplayPageSiteNavigationMenuItemConfiguration =
			ConfigurableUtil.createConfigurable(
				FFDisplayPageSiteNavigationMenuItemConfiguration.class,
				properties);
	}

	private static volatile FFDisplayPageSiteNavigationMenuItemConfiguration
		_ffDisplayPageSiteNavigationMenuItemConfiguration;

}